com.pivotal.gemfirexd.internal.client.am

## Class ClobOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.pivotal.gemfirexd.internal.client.am.ClobOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class ClobOutputStream
    extends OutputStream

### Constructor Summary

Constructors
Constructor and Description
`ClobOutputStream(Clob clob, long offset)`

### Method Summary

Methods
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClobOutputStream

    public ClobOutputStream(Clob clob,
                    long offset)
                     throws SqlException

Throws:
  `SqlException`

### Method Detail

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`